Package org.eclipse.compare

# Interface ICompareInputLabelProvider

All Superinterfaces:
  `IBaseLabelProvider`, `ILabelProvider`

public interface ICompareInputLabelProvider extends ILabelProvider
A label provider that provides the label and image for the left, right and ancestor sides for a compare input being shown in compare/merge viewers.

This interface may be implemented by clients.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`Image`
`getAncestorImage(Object input)`
Returns the image for the ancestor side of compare/merge viewers.
`String`
`getAncestorLabel(Object input)`
Returns the label for the ancestor side of compare/merge viewers.
`Image`
`getLeftImage(Object input)`
Returns the image for the left hand side of compare/merge viewers.
`String`
`getLeftLabel(Object input)`
Returns the label for the left hand side of compare/merge viewers.
`Image`
`getRightImage(Object input)`
Returns the image for the right hand side of compare/merge viewers.
`String`
`getRightLabel(Object input)`
Returns the label for the right hand side of compare/merge viewers.

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Methods inherited from interface org.eclipse.jface.viewers.ILabelProvider

`getImage, getText`

## Method Details

### getAncestorLabel

String getAncestorLabel(Object input)
Returns the label for the ancestor side of compare/merge viewers. This label is typically shown in the title of the ancestor area in a compare viewer.

Parameters:
  `input` - the input object of a compare/merge viewer or `null`
Returns:
  the label for the ancestor side or `null`

### getAncestorImage

Image getAncestorImage(Object input)
Returns the image for the ancestor side of compare/merge viewers. This image is typically shown in the title of the ancestor area in a compare viewer.

Parameters:
  `input` - the input object of a compare/merge viewer or `null`
Returns:
  the image for the ancestor side or `null`

### getLeftLabel

String getLeftLabel(Object input)
Returns the label for the left hand side of compare/merge viewers. This label is typically shown in the title of the left side of a compare viewer.

Parameters:
  `input` - the input object of a compare/merge viewer or `null`
Returns:
  the label for the left hand side or `null`

### getLeftImage

Image getLeftImage(Object input)
Returns the image for the left hand side of compare/merge viewers. This image is typically shown in the title of the left side of a compare viewer.

Parameters:
  `input` - the input object of a compare/merge viewer or `null`
Returns:
  the image for the left hand side or `null`

### getRightLabel

String getRightLabel(Object input)
Returns the label for the right hand side of compare/merge viewers. This label is typically shown in the title of the right side of a compare viewer.

Parameters:
  `input` - the input object of a compare/merge viewer or `null`
Returns:
  the label for the right hand side or `null`

### getRightImage

Image getRightImage(Object input)
Returns the image for the right hand side of compare/merge viewers. This image is typically shown in the title of the right side of a compare viewer.

Parameters:
  `input` - the input object of a compare/merge viewer or `null`
Returns:
  the image for the right hand side or `null`